Subject: cacti.v.fly.trp.seeds.etc.

From: [email-masked]
Date: 6 Jun 1995 16:53:19 +0100

Are the three-prong cartoon-like cacti that you see in  the desert a separate 
species of which I need to by seeds or do I just "cut" a normal phallic cactus in 
some way? Please tell me what to do. 

Also are there any decent cactus seed suppliers in london in the U.K. with a 
wide range of cacti?

I have a small venus fly trap (dionae muscipulae?) which has about five 
thumb-sized snappers lying flat. How best should I care for it and how long will 
it take to grow to full size? Are there any other types of v.fly trap?

What other interesting types of carnivorous plants are there? Please tell.